//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//[Bloodymad PrefPanel]

#pragma once

#include "preferences.h"
#include "wizard.h"

// CPPgBloodymad dialog

class CPPgBloodymad : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgBloodymad)

public:
	CPPgBloodymad();
	virtual ~CPPgBloodymad();

	void SetPrefs(CPreferences* in_prefs) {	app_prefs = in_prefs;}

// Dialog Data
	enum { IDD = IDD_PPG_BLOODYMAD };
protected:
	CPreferences *app_prefs;
	uint8	m_iReleaseSlots;

	//{{AFX_MSG(CSpinToolBar)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	void LoadSettings(void);
	virtual BOOL OnApply();
	afx_msg void OnSettingsChange(){
		SetModified();
//		GetDlgItem(IDC_DEBUG_SOURCE_EXCHANGE)->EnableWindow(IsDlgButtonChecked(IDC_VERBOSE));
	}

	void Localize(void);
	afx_msg void OnNMCustomdrawReleaseslots(NMHDR *pNMHDR, LRESULT *pResult);
};
