#pragma once

#include "preferences.h"
#include "wizard.h"
#include "PPgMorph.h"
#include "HyperTextCtrl.h"
// CPPgMorph dialog

class CPPgMorph : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgMorph)

public:
	CPPgMorph();
	virtual ~CPPgMorph();

	void SetPrefs(CPreferences* in_prefs) {	app_prefs = in_prefs;}

// Dialog Data
	enum { IDD = IDD_PPG_MORPH };
protected:
	CPreferences *app_prefs;
	uint8 m_iFileBufferSize;
	uint8 m_iQueueSize;

	//{{AFX_MSG(CSpinToolBar)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	void LoadSettings(void);
	virtual BOOL OnApply();
	CHyperTextCtrl MSSCommentbox;
	afx_msg void OnEnChangeSUCEnable();			//added by Roman2K
	afx_msg void OnReaskChange();				//added by Roman2K

	afx_msg void OnEnChangeMSS()		{ SetModified(); }	// added by SiRoB - MSS -

	afx_msg void OnSettingsChange()					{ SetModified(); }

	// added by lovelace SUC
	afx_msg void OnEnChangeAutoUpEnable(); //added by Roman2K
	afx_msg void OnEnChangeAMUCEnable(); //added by Roman2K

	afx_msg void OnEnChangeSucDrift()      { SetModified(); } //lovelace
	afx_msg void OnEnChangeSucHigh()      { SetModified(); } //lovelace
	afx_msg void OnEnChangeSucLow()       { SetModified(); } //lovelace
	afx_msg void OnEnChangeSucPitch()     { SetModified(); } //lovelace

	afx_msg void OnBnClickedCommunity();  //added by Roman2K (community sharing)

	void Localize(void);

//added by Roman2K
private:
	bool guardian;	 //gray system
//Roman2K end
};
