#pragma once

#include "preferences.h"
#include "wizard.h"

// CPPgTweaks dialog

class CPPgTweaks : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgTweaks)

public:
	CPPgTweaks();
	virtual ~CPPgTweaks();

	void SetPrefs(CPreferences* in_prefs) {	app_prefs = in_prefs;}

// Dialog Data
	enum { IDD = IDD_PPG_TWEAKS };
protected:
	CPreferences *app_prefs;
	uint8 m_iFileBufferSize;
	uint8 m_iQueueSize;

	uint16 m_iActivationLimitSLS; //<<-- enkeyDEV(kei-kun) -SLS preferences-
	uint8 m_iSourcesToSaveSLS; //<<-- enkeyDEV(kei-kun) -SLS preferences-


	//{{AFX_MSG(CSpinToolBar)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	void LoadSettings(void);
	virtual BOOL OnApply();
	afx_msg void OnSettingsChange(){
		SetModified();
		GetDlgItem(IDC_DEBUG_SOURCE_EXCHANGE)->EnableWindow(IsDlgButtonChecked(IDC_VERBOSE));
	}
	afx_msg void OnBnClickedCbEnablesls(); 	//modified by Roman2K
	afx_msg void OnClickInfiniteQueue(); 	//added by Roman2K

	void Localize(void);

//added by Roman2K
private:
	bool guardian;	 //gray system
//Roman2K end
public:
	afx_msg void OnNMCustomdrawScSlsActivationlimit(NMHDR *pNMHDR, LRESULT *pResult);
};
