// PpgMorph.cpp : implementation file
//

#include "stdafx.h"
#include "emule.h"
#include "PPgMorph.h"
#include ".\ppgmorph.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


// CPPgMorph dialog

IMPLEMENT_DYNAMIC(CPPgMorph, CPropertyPage)
CPPgMorph::CPPgMorph()
: CPropertyPage(CPPgMorph::IDD)
{
	guardian=false; //was added by Roman2K lol. seems to not be neeeded.
}

CPPgMorph::~CPPgMorph()
{
}

void CPPgMorph::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CPPgMorph, CPropertyPage)

	//added by Roman2K
	ON_BN_CLICKED(IDCB_LSD_REASK_NNS_TIME, OnReaskChange)
	ON_BN_CLICKED(IDCB_LSD_REASK_FULLQ_TIME, OnReaskChange)
	ON_BN_CLICKED(IDCB_LSD_REASK_SERVER_TIME, OnReaskChange)

	ON_EN_CHANGE(IDCE_LSD_REASK_NNS_TIME, OnSettingsChange)
	ON_EN_CHANGE(IDCE_LSD_REASK_FULLQ_TIME, OnSettingsChange)
	ON_EN_CHANGE(IDCE_LSD_REASK_SERVER_TIME, OnSettingsChange)
	//Roman2K end

	// Maella -Enable/Disable source exchange in preference- (Tarod)
	ON_BN_CLICKED(IDC_DISABLE_XS, OnSettingsChange) 
	// Maella end

	//added by Roman2K (community sharing)
	ON_EN_CHANGE(IDC_COMMUNITYNAME,	OnSettingsChange)
	ON_BN_CLICKED(IDC_COMMUNITY, OnBnClickedCommunity)
	//Roman2K end


	//added by Roman2K
	ON_BN_CLICKED(IDC_AUTOUP, OnEnChangeAutoUpEnable)

	ON_BN_CLICKED(IDC_AMUC, OnEnChangeAMUCEnable)
	ON_BN_CLICKED(IDC_SUC, OnEnChangeSUCEnable)

	ON_EN_CHANGE(IDC_AUMIN, OnSettingsChange)
	ON_EN_CHANGE(IDC_AUMAX, OnSettingsChange)
	//Roman2K end

	//>>added by lovelace SUC
	ON_EN_CHANGE(IDC_SUCDRIFT, OnEnChangeSucDrift)
	ON_EN_CHANGE(IDC_SUCHIGH, OnEnChangeSucHigh)
	ON_EN_CHANGE(IDC_SUCPITCH, OnEnChangeSucPitch)
	ON_EN_CHANGE(IDC_SUCLOW, OnEnChangeSucLow)
	// <<end lovelace SUC
	ON_BN_CLICKED(IDC_LANCAST, OnSettingsChange)
	ON_BN_CLICKED(IDC_BANLEECHERMODS, OnSettingsChange) //added by milobac: leechers mods
	ON_WM_HSCROLL()
END_MESSAGE_MAP()


// CPPgMorph message handlers


BOOL CPPgMorph::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	Localize();
	CRect rect;
	GetDlgItem(IDC_MSS_COMMENT)->GetWindowRect(rect);
	::MapWindowPoints(NULL, m_hWnd, (LPPOINT)&rect, 2);
	MSSCommentbox.CreateEx(WS_EX_DLGMODALFRAME | WS_EX_CLIENTEDGE,NULL,"MsgWnd",WS_VISIBLE | WS_CHILD | HTC_WORDWRAP | HTC_UNDERLINE_HOVER,rect.left,rect.top,rect.Width(),rect.Height(),m_hWnd,0);
	MSSCommentbox.Clear();
	MSSCommentbox.AppendText(GetResString(IDS_MSS_COMMENT)+CString(" \n "),false);
	MSSCommentbox.AppendHyperLink(CString("dslreports.com"),0,CString("http://www.dslreports.com/tweaks"),0,false);
	MSSCommentbox.AppendText(CString(" ")+GetResString(IDS_OR)+CString(" "),false);
	MSSCommentbox.AppendHyperLink(CString("speedguide.net"),0,CString("http://www.speedguide.net/analyzer.php"),0,false);
	LoadSettings();
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CPPgMorph::LoadSettings(void)
{
	if(m_hWnd)
	{
		CString strBuffer;
		// >>Added by lovelace
		//	 SUC Options
		char buffer[20];
		memset(&buffer,0,20);
	//added by milobac: leechers mods
	if(app_prefs->prefs->banleechermods)
		CheckDlgButton(IDC_BANLEECHERMODS,1);
	else
		CheckDlgButton(IDC_BANLEECHERMODS,0);
	//END added by milobac: leechers mods
		//added by Roman2K
		if(app_prefs->prefs->AutoUpEnabled)
			CheckDlgButton(IDC_AUTOUP,1);
		else
			CheckDlgButton(IDC_AUTOUP,0);

		if(app_prefs->prefs->SUCEnabled)	
			CheckDlgButton(IDC_SUC,1);
		else
			CheckDlgButton(IDC_SUC,0);

		if(app_prefs->prefs->AMUCEnabled)	
			CheckDlgButton(IDC_AMUC,1);
		else
			CheckDlgButton(IDC_AMUC,0);
		//Roman2K end


		if (app_prefs->prefs->m_bcommunity)
			CheckDlgButton(IDC_COMMUNITY, 1);
		else
			CheckDlgButton(IDC_COMMUNITY, 0);

		if (app_prefs->prefs->disable_NNS_reask)
			CheckDlgButton(IDCB_LSD_REASK_NNS_TIME, 1);
		else
			CheckDlgButton(IDCB_LSD_REASK_NNS_TIME, 0);
		if (app_prefs->prefs->disable_FULLQ_reask)
			CheckDlgButton(IDCB_LSD_REASK_FULLQ_TIME, 1);
		else
			CheckDlgButton(IDCB_LSD_REASK_FULLQ_TIME, 0);
		if (app_prefs->prefs->disable_SERVER_reask)
			CheckDlgButton(IDCB_LSD_REASK_SERVER_TIME, 1);
		else
			CheckDlgButton(IDCB_LSD_REASK_SERVER_TIME, 0);
	LSD_Time_To_Min_String (app_prefs->prefs->lsd_REASK_NNS_time,&strBuffer);
	GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->SetWindowText(strBuffer);
	LSD_Time_To_Min_String (app_prefs->prefs->lsd_REASK_FULLQ_time,&strBuffer);
	GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->SetWindowText(strBuffer);	
	LSD_Time_To_Min_String (app_prefs->prefs->lsd_SERVERREASKTIME_time,&strBuffer);
	GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->SetWindowText(strBuffer);

		itoa(app_prefs->prefs->minAutoUpload,buffer,10);
		GetDlgItem(IDC_AUMIN)->SetWindowText(buffer);

		itoa(app_prefs->prefs->maxAutoUpload,buffer,10);
		GetDlgItem(IDC_AUMAX)->SetWindowText(buffer);

		itoa(app_prefs->prefs->SUCDrift,buffer,10);
		GetDlgItem(IDC_SUCDRIFT)->SetWindowText(buffer);

		itoa(app_prefs->prefs->SUCHigh,buffer,10);
		GetDlgItem(IDC_SUCHIGH)->SetWindowText(buffer);

		itoa(app_prefs->prefs->SUCLow,buffer,10);
		GetDlgItem(IDC_SUCLOW)->SetWindowText(buffer);

		itoa(app_prefs->prefs->SUCPitch,buffer,10);
		GetDlgItem(IDC_SUCPITCH)->SetWindowText(buffer);
		// <<end added lovelace

		itoa(app_prefs->prefs->MSS,buffer,10); // added by SiRoB - MSS
		GetDlgItem(IDC_MSS)->SetWindowText(buffer); // added by SiRoB - MSS
	

		if(app_prefs->prefs->LancastEnabled)
			CheckDlgButton(IDC_LANCAST,1);
		else
			CheckDlgButton(IDC_LANCAST,0);

		//added by Roman2K
		GetDlgItem(IDC_COMMUNITYNAME)->EnableWindow(IsDlgButtonChecked(IDC_COMMUNITY));

		GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_NNS_TIME));
		GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_FULLQ_TIME));
		GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_SERVER_TIME));

		GetDlgItem(IDC_SUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));	
		GetDlgItem(IDC_AMUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

		GetDlgItem(IDC_AUMIN)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));
		GetDlgItem(IDC_AUMAX)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

		GetDlgItem(IDC_SUCHIGH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
		GetDlgItem(IDC_SUCLOW)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
		GetDlgItem(IDC_SUCPITCH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
		GetDlgItem(IDC_SUCDRIFT)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
		//Roman2K end
	}


	// Maella -Enable/Disable source exchange in preference- (Tarod)
	CheckDlgButton(IDC_DISABLE_XS, 
		(theApp.glob_prefs->GetDisabledXS() == true) ? BST_CHECKED : BST_UNCHECKED);
	// Maella end

	GetDlgItem(IDC_COMMUNITYNAME)->SetWindowText(app_prefs->prefs->m_scommunityname);//added by Roman2K (community sharing)
}

BOOL CPPgMorph::OnApply()
{
	char buffer[510];
	//added by milobac: leechers mods
	if(IsDlgButtonChecked(IDC_BANLEECHERMODS))
		app_prefs->prefs->banleechermods = true;
	else
		app_prefs->prefs->banleechermods = false;
	//END added by milobac: leechers mods
	// Maella -Enable/Disable source exchange in preference- (Tarod)
	theApp.glob_prefs->SetDisabledXS(IsDlgButtonChecked(IDC_DISABLE_XS) != BST_UNCHECKED);
	// Maella end


	//added by Roman2K
	GetDlgItem(IDC_COMMUNITYNAME)->EnableWindow(IsDlgButtonChecked(IDC_COMMUNITY));

	GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_NNS_TIME));
	GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_FULLQ_TIME));
	GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_SERVER_TIME));

	GetDlgItem(IDC_SUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));	
	GetDlgItem(IDC_AMUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_AUMIN)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));
	GetDlgItem(IDC_AUMAX)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_SUCHIGH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCLOW)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCPITCH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCDRIFT)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	//Roman2K end

	//added by Roman2K
	app_prefs->prefs->SUCEnabled = (int8)IsDlgButtonChecked(IDC_SUC);	
	app_prefs->prefs->AMUCEnabled = (int8)IsDlgButtonChecked(IDC_AMUC);	
	app_prefs->prefs->AutoUpEnabled = (int8)IsDlgButtonChecked(IDC_AUTOUP);	

	if(app_prefs->prefs->AMUCEnabled)
		if (!theApp.AMUC){ //added by SiRoB - Check if AMUC Class Allready Loading
		theApp.AMUC = (CAmucThread*) AfxBeginThread(RUNTIME_CLASS(CAmucThread), THREAD_PRIORITY_BELOW_NORMAL,0, CREATE_SUSPENDED); 
		theApp.AMUC->StartAMUC();
	}

	if(!IsDlgButtonChecked(IDC_AUTOUP)){
		app_prefs->prefs->SUCEnabled = (int8)IsDlgButtonChecked(IDC_AUTOUP);	
		app_prefs->prefs->AMUCEnabled = (int8)IsDlgButtonChecked(IDC_AUTOUP);
	}
	//Roman2K end


	//added by Roman2K (community sharing)
	if(GetDlgItem(IDC_COMMUNITYNAME)->GetWindowTextLength())
	{
		GetDlgItem(IDC_COMMUNITYNAME)->GetWindowText(buffer,34);
		strcpy(app_prefs->prefs->m_scommunityname,buffer);
	}

	if(IsDlgButtonChecked(IDC_COMMUNITY))
		app_prefs->prefs->m_bcommunity = true;
	else
		app_prefs->prefs->m_bcommunity = false;	
	//Roman2K end
	// added by SiRoB - MSS
	if (GetDlgItem(IDC_MSS)->GetWindowTextLength()){	
		GetDlgItem(IDC_MSS)->GetWindowText(buffer,20);
		app_prefs->prefs->MSS = ((atoi(buffer)>=1300)&&atoi(buffer)<=1460) ? atoi(buffer) : 1300;
	}
	// END added by SiRoB - MSS
	// >>Added by lovelace
	// SUC Options
	if (GetDlgItem(IDC_AUMIN)->GetWindowTextLength()){
		GetDlgItem(IDC_AUMIN)->GetWindowText(buffer,20);
		app_prefs->prefs->minAutoUpload = atoi(buffer);
	}
	if (GetDlgItem(IDC_AUMAX)->GetWindowTextLength()){
		GetDlgItem(IDC_AUMAX)->GetWindowText(buffer,20);
		app_prefs->prefs->maxAutoUpload = atoi(buffer);
	}
	if (GetDlgItem(IDC_SUCDRIFT)->GetWindowTextLength()){
		GetDlgItem(IDC_SUCDRIFT)->GetWindowText(buffer,20);
		app_prefs->prefs->SUCDrift = atoi(buffer);
	}
	if (GetDlgItem(IDC_SUCHIGH)->GetWindowTextLength()){
		GetDlgItem(IDC_SUCHIGH)->GetWindowText(buffer,20);
		app_prefs->prefs->SUCHigh = atoi(buffer);
	}
	if (GetDlgItem(IDC_SUCPITCH)->GetWindowTextLength()){
		GetDlgItem(IDC_SUCPITCH)->GetWindowText(buffer,20);
		app_prefs->prefs->SUCPitch = atoi(buffer);
	}
	if (GetDlgItem(IDC_SUCLOW)->GetWindowTextLength()){
		GetDlgItem(IDC_SUCLOW)->GetWindowText(buffer,20);
		app_prefs->prefs->SUCLow = atoi(buffer);
	}
	if(app_prefs->prefs->minAutoUpload <1)
		app_prefs->prefs->minAutoUpload =1;

	if(app_prefs->prefs->SUCDrift <0)
		app_prefs->prefs->SUCDrift =0;
	if(app_prefs->prefs->SUCDrift >UPLOAD_CHECK_CLIENT_DR/2)
		app_prefs->prefs->SUCDrift =UPLOAD_CHECK_CLIENT_DR/2;
	if(app_prefs->prefs->SUCHigh <0)
		app_prefs->prefs->SUCHigh =0;
	if(app_prefs->prefs->SUCHigh >1000)
		app_prefs->prefs->SUCHigh =1000;
	if(app_prefs->prefs->SUCLow <0)
		app_prefs->prefs->SUCLow =0;
	if(app_prefs->prefs->SUCLow >1000)
		app_prefs->prefs->SUCLow =1000;
	if(app_prefs->prefs->SUCPitch <100)
		app_prefs->prefs->SUCPitch =100;
	if(app_prefs->prefs->maxAutoUpload<app_prefs->prefs->minAutoUpload)
		app_prefs->prefs->maxAutoUpload = app_prefs->prefs->minAutoUpload;
	//<<end added lovelace

		//added by Roman2K
	float ftemp;
	uint32 utemp;

	if(IsDlgButtonChecked(IDCB_LSD_REASK_NNS_TIME))
		app_prefs->prefs->disable_NNS_reask = true;
	else
		app_prefs->prefs->disable_NNS_reask = false;
	if(IsDlgButtonChecked(IDCB_LSD_REASK_FULLQ_TIME))
		app_prefs->prefs->disable_FULLQ_reask = true;
	else
		app_prefs->prefs->disable_FULLQ_reask = false;
	if(IsDlgButtonChecked(IDCB_LSD_REASK_SERVER_TIME))
		app_prefs->prefs->disable_SERVER_reask = true;
	else
		app_prefs->prefs->disable_SERVER_reask = false;
	//
	if (GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->GetWindowTextLength()) {
		GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->GetWindowText(buffer, 20);
		ftemp= (float) (atof(buffer));
		utemp = LSD_Min_To_Mili (ftemp);
		LSD_Min_Max ((int*) &utemp,LSD_REASK_NNS_TIME_MIN,LSD_REASK_NNS_TIME_MAX);
		app_prefs->prefs->lsd_REASK_NNS_time=utemp;
	}
	if (GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->GetWindowTextLength()) {
		GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->GetWindowText(buffer, 20);
		ftemp= (float) (atof(buffer));
		utemp = LSD_Min_To_Mili (ftemp);
		LSD_Min_Max ((int*) &utemp,LSD_REASK_FULLQ_TIME_MIN,LSD_REASK_FULLQ_TIME_MAX);
		app_prefs->prefs->lsd_REASK_FULLQ_time=utemp;
	}
	if (GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->GetWindowTextLength()) {
		GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->GetWindowText(buffer, 20);
		ftemp= (float) (atof(buffer));
		utemp = LSD_Min_To_Mili (ftemp);
		LSD_Min_Max ((int*) &utemp,LSD_SERVERREASKTIME_MIN,LSD_SERVERREASKTIME_MAX);
		app_prefs->prefs->lsd_SERVERREASKTIME_time=utemp;
	}
	//Roman2K end

	if(IsDlgButtonChecked(IDC_LANCAST))
		app_prefs->prefs->LancastEnabled= true;
	else
		app_prefs->prefs->LancastEnabled= false;
	MSSCommentbox.DestroyWindow();
	return CPropertyPage::OnApply();
}

void CPPgMorph::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	SetModified(TRUE);

	CSliderCtrl* slider =(CSliderCtrl*)pScrollBar;
	CString temp;

}

void CPPgMorph::Localize(void)
{	
	if(m_hWnd)
	{
		SetWindowText(GetResString(IDS_PREFS_EXTENDED));
		GetDlgItem(IDC_AUTOUP)->SetWindowText(GetResString(IDS_AUTOUP));
		GetDlgItem(IDC_DISABLE_XS)->SetWindowText(GetResString(IDS_DISABLE_XS));
		GetDlgItem(IDCB_LSD_REASK_NNS_TIME)->SetWindowText(GetResString(IDS_LSD_REASK_NNS_TIME));
		GetDlgItem(IDCB_LSD_REASK_FULLQ_TIME)->SetWindowText(GetResString(IDS_LSD_REASK_FULLQ_TIME));
		GetDlgItem(IDCB_LSD_REASK_SERVER_TIME)->SetWindowText(GetResString(IDS_LSD_REASK_SERVER_TIME));
		GetDlgItem(IDC_COMMUNITY)->SetWindowText(GetResString(IDS_COMMUNITY));
		GetDlgItem(IDC_COMMUNITY_TEXT)->SetWindowText(GetResString(IDS_COMMUNITY_TEXT));
		GetDlgItem(IDC_BANLEECHERMODS)->SetWindowText(GetResString(IDS_BANLEECHERMODS));
		GetDlgItem(IDC_LANCAST)->SetWindowText(GetResString(IDS_LANCAST));
	}
}

//added by Roman2K
void CPPgMorph::OnEnChangeSUCEnable()
{
	if (guardian) return;

	guardian=true;
	SetModified();

	GetDlgItem(IDC_SUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));	
	GetDlgItem(IDC_AMUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_AUMIN)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));
	GetDlgItem(IDC_AUMAX)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_SUCHIGH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCLOW)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCPITCH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCDRIFT)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));

	guardian=false;
}

void CPPgMorph::OnEnChangeAutoUpEnable()
{
	if (guardian) return;

	guardian=true;
	SetModified();

	GetDlgItem(IDC_SUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));	
	GetDlgItem(IDC_AMUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_AUMIN)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));
	GetDlgItem(IDC_AUMAX)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_SUCHIGH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCLOW)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCPITCH)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCDRIFT)->EnableWindow(IsDlgButtonChecked(IDC_SUC) && IsDlgButtonChecked(IDC_AUTOUP) && !IsDlgButtonChecked(IDC_AMUC));

	guardian=false;
}

void CPPgMorph::OnEnChangeAMUCEnable()
{
	if (guardian) return;

	guardian=true;
	SetModified();

	GetDlgItem(IDC_SUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));	
	GetDlgItem(IDC_AMUC)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_AUMIN)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));
	GetDlgItem(IDC_AUMAX)->EnableWindow(IsDlgButtonChecked(IDC_AUTOUP));

	GetDlgItem(IDC_SUCHIGH)->EnableWindow(!IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCLOW)->EnableWindow(!IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCPITCH)->EnableWindow(!IsDlgButtonChecked(IDC_AMUC));
	GetDlgItem(IDC_SUCDRIFT)->EnableWindow(!IsDlgButtonChecked(IDC_AMUC));

	guardian=false;
}

void CPPgMorph::OnReaskChange()
{
	if (guardian) return;

	guardian=true;
	SetModified();

	GetDlgItem(IDCE_LSD_REASK_NNS_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_NNS_TIME));
	GetDlgItem(IDCE_LSD_REASK_FULLQ_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_FULLQ_TIME));
	GetDlgItem(IDCE_LSD_REASK_SERVER_TIME)->EnableWindow(!IsDlgButtonChecked(IDCB_LSD_REASK_SERVER_TIME));

	guardian=false;
}
//Roman2K end

//added by Roman2K (community sharing)
void CPPgMorph::OnBnClickedCommunity()
{
	if(guardian) return;

	guardian=true;
	SetModified();

	GetDlgItem(IDC_COMMUNITYNAME)->EnableWindow(IsDlgButtonChecked(IDC_COMMUNITY));

	guardian=false;
}
//Roman2K end