// Written by enkeyDEV(Ottavio84)

#pragma once
#include "barshader.h"
#include "packets.h"

class CKnownFile;
class CUpDownClient;

class CReleaseBar
{
public:
	CReleaseBar(CKnownFile* file);
	~CReleaseBar(void);
	void			SentData(Requested_Block_Struct* sentdata);
	void			DrawBar(CDC* dc, RECT *rect, bool bFlat);
	bool			LoadFromTagList(CArray<CTag*,CTag*>* taglist);
	void			SaveToFile(CFile* file);
	uint32			GetTagCount() {return (blocklist.GetCount() * 3)+1 + (m_bISpread?1:0);};
	float			CalculateDoneRatio(void);
	bool			IsChunkComplete(uint32 chunk);
	bool			CreateFakeFileStatus(CFile* packetdata, CUpDownClient* client);
	void			EnableISpread(bool bEnable); 
	bool			IsISpreadEnabled() {return m_bISpread;}
	uint32			dwLastUpdated;

protected:
	struct SentBlock {
		unsigned int start;
		unsigned int end;
		unsigned int frequency;
	};
	void				InsertBlock(SentBlock newblock);
	CList<SentBlock>	blocklist;
	CKnownFile*			m_pFile;
	CBarShader			s_ChunkBar;
	CBarShader			s_LoadBar;
	bool				m_modified;
	float				m_doneratio;
	bool				m_bISpread;
	CUpDownClient**		m_arChunkAssignedTo;
	int					m_partcount;

};
