// Written by enkeyDEV(Ottavio84)

#include "StdAfx.h"
#include "releasebarctrl.h"
#include "emule.h"

CReleaseBarCtrl::CReleaseBarCtrl(void)
{
	m_pReleaseBar = NULL;
}

CReleaseBarCtrl::~CReleaseBarCtrl(void)
{
}

void CReleaseBarCtrl::DrawReleaseBar(CReleaseBar* relbar)
{
	m_pReleaseBar = relbar;
	m_pReleaseBar->dwLastUpdated = 0;
	Invalidate();
}

void CReleaseBarCtrl::DrawProgressBar()
{
	m_pReleaseBar = NULL;
	Invalidate();
}
BEGIN_MESSAGE_MAP(CReleaseBarCtrl, CProgressCtrlX)
	ON_WM_PAINT()
END_MESSAGE_MAP()

void CReleaseBarCtrl::OnPaint()
{
	if (!m_pReleaseBar) {
		CProgressCtrlX::OnPaint();
		return;
	}
	CPaintDC dc(this); 
	CRect rcWnd;
	GetClientRect(&rcWnd);
	int iHeight = rcWnd.Height();
	int iWidth = rcWnd.Width();
	if (m_Bitmap == (HBITMAP)NULL)
		VERIFY(m_Bitmap.CreateBitmap(1, 1, 1, 8, NULL)); 
	CDC cdcStatus; 
	cdcStatus.CreateCompatibleDC(&dc); 
	int cx = m_Bitmap.GetBitmapDimension().cx; 
	DWORD dwTicks = GetTickCount(); 
	if(m_pReleaseBar->dwLastUpdated + 1000 < dwTicks || cx !=  iWidth || !m_pReleaseBar->dwLastUpdated) { 
		m_Bitmap.DeleteObject(); 
		m_Bitmap.CreateCompatibleBitmap(&dc,  iWidth, iHeight); 
		m_Bitmap.SetBitmapDimension(iWidth,  iHeight); 
		cdcStatus.SelectObject(m_Bitmap); 

		RECT rec_status; 
		rec_status.left = 0; 
		rec_status.top = 0; 
		rec_status.bottom = iHeight; 
		rec_status.right = iWidth; 
		m_pReleaseBar->DrawBar(&cdcStatus,  &rec_status, theApp.glob_prefs->UseFlatBar()); 

		m_pReleaseBar->dwLastUpdated = dwTicks + (rand() % 128); 
	} else 
		cdcStatus.SelectObject(m_Bitmap); 

	dc.BitBlt(rcWnd.left, rcWnd.top, iWidth, iHeight,  &cdcStatus, 0, 0, SRCCOPY); 
}
