//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//[Bloodymad UsageLog]

#pragma once
#include "updownclient.h"
#include "KnownFile.h"
#include <afx.h>

class CUsageLog {
private:
	bool	enabled;
	CFile*	logfile;
	char*	filename;
public:
	CUsageLog(char *logfilename, bool startenabled = true);
	~CUsageLog();
	void	OpenLog();
	void	CloseLog();
	void	LogLine(CString action, CString params,...);
};
